[sumo-user] Run error - "departureSpeed" is too high

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[sumo-user] Run error - "departureSpeed" is too high

up201604601
Hi everyone,

I'm new on this mailing list. I decided to subscribe to it since I've been getting an error when trying to run a project that I cannot seem to solve.

So currently I'm working on a project that uses Omnet++, Veins (with the Plexe extension) and SUMO 1.8.0. I've been constantly getting different error messages. So far I've been successfully solving all the issues I had, however, I can't understand this error message. It says that vBargain0's "departureSpeed" is too high (below I have the XML defining the vBargain0 vehicle type). I tried to search for "departureSpeed" all over the project and there is no "departureSpeed" being set anywhere on it.
 
 
 
This is how the vehicle is defined.
 
None of this code was made by me, I'm just trying to run a project that, as far as I know, should already be working.
 
If anyone could help me solve this issue it would be amazing.
 
Kind regards,
Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user
Reply | Threaded
Open this post in threaded view
|

Re: [sumo-user] Run error - "departureSpeed" is too high

Harald Schaefer-2

Hi Francisco,

the maxSpeed of your vehicle is only 0.5 (m/s), that is slower than an average pedestrian.

The departureSpeed should be less or equal to the maxSpeed (+_ speedfactor).

Greetings, Harald

Am 28.12.20 um 03:50 schrieb up201604601:
Hi everyone,

I'm new on this mailing list. I decided to subscribe to it since I've been getting an error when trying to run a project that I cannot seem to solve.

So currently I'm working on a project that uses Omnet++, Veins (with the Plexe extension) and SUMO 1.8.0. I've been constantly getting different error messages. So far I've been successfully solving all the issues I had, however, I can't understand this error message. It says that vBargain0's "departureSpeed" is too high (below I have the XML defining the vBargain0 vehicle type). I tried to search for "departureSpeed" all over the project and there is no "departureSpeed" being set anywhere on it.
 
 
 
This is how the vehicle is defined.
 
None of this code was made by me, I'm just trying to run a project that, as far as I know, should already be working.
 
If anyone could help me solve this issue it would be amazing.
 
Kind regards,
Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user
Reply | Threaded
Open this post in threaded view
|

Re: [sumo-user] Run error - "departureSpeed" is too high

up201604601

On 2020-12-28 09:47, Harald Schaefer wrote:

Hi Francisco,

the maxSpeed of your vehicle is only 0.5 (m/s), that is slower than an average pedestrian.

The departureSpeed should be less or equal to the maxSpeed (+_ speedfactor).

Greetings, Harald

Am 28.12.20 um 03:50 schrieb up201604601:
Hi everyone,

I'm new on this mailing list. I decided to subscribe to it since I've been getting an error when trying to run a project that I cannot seem to solve.

So currently I'm working on a project that uses Omnet++, Veins (with the Plexe extension) and SUMO 1.8.0. I've been constantly getting different error messages. So far I've been successfully solving all the issues I had, however, I can't understand this error message. It says that vBargain0's "departureSpeed" is too high (below I have the XML defining the vBargain0 vehicle type). I tried to search for "departureSpeed" all over the project and there is no "departureSpeed" being set anywhere on it.
 
 
 
This is how the vehicle is defined.
 
None of this code was made by me, I'm just trying to run a project that, as far as I know, should already be working.
 
If anyone could help me solve this issue it would be amazing.
 
Kind regards,
Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

Hi again,

I've been trying to fix this error but still with no luck. I've been messing around with the vType declaration and changing the maxSpeed to be higher. I also tried to manually declare the departSpeed variable within the vType declaration to "desired" (after checking the documentation). Both of these methods had no success. Don't know what else it could be.

I am currently using plexe-sumo and I think that its installation is correct as I previously had an error occurring due to a vehicleFollowingModel not found (only available on plexe-sumo I believe) that is no longer present. I've tried to use plexe-sumo within the latest releases of SUMO (since it's already integrated in the official releases) but again with no luck.

Any help would be appreciated.

Kind regards,

Francisco Filipe


_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user
Reply | Threaded
Open this post in threaded view
|

Re: [sumo-user] Run error - "departureSpeed" is too high

Jakob Erdmann
The error messages come from traci commands that try to add vehicles. The invalid departSpeed is part of the call to traci.vehicle.add (setting it in the vType has no effect).
The depart speed check has to meed two constraints:
- departSpeed <= maxSpeed
- departSpeed <= edgeSpeed * speedFactor
try setting maxSpeed to a value that matches the road speed and speedFactor >= 1 in the vType

regards,
Jakob

Am Mo., 11. Jan. 2021 um 03:11 Uhr schrieb up201604601 <[hidden email]>:

On 2020-12-28 09:47, Harald Schaefer wrote:

Hi Francisco,

the maxSpeed of your vehicle is only 0.5 (m/s), that is slower than an average pedestrian.

The departureSpeed should be less or equal to the maxSpeed (+_ speedfactor).

Greetings, Harald

Am 28.12.20 um 03:50 schrieb up201604601:
Hi everyone,

I'm new on this mailing list. I decided to subscribe to it since I've been getting an error when trying to run a project that I cannot seem to solve.

So currently I'm working on a project that uses Omnet++, Veins (with the Plexe extension) and SUMO 1.8.0. I've been constantly getting different error messages. So far I've been successfully solving all the issues I had, however, I can't understand this error message. It says that vBargain0's "departureSpeed" is too high (below I have the XML defining the vBargain0 vehicle type). I tried to search for "departureSpeed" all over the project and there is no "departureSpeed" being set anywhere on it.
 
 
 
This is how the vehicle is defined.
 
None of this code was made by me, I'm just trying to run a project that, as far as I know, should already be working.
 
If anyone could help me solve this issue it would be amazing.
 
Kind regards,
Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

Hi again,

I've been trying to fix this error but still with no luck. I've been messing around with the vType declaration and changing the maxSpeed to be higher. I also tried to manually declare the departSpeed variable within the vType declaration to "desired" (after checking the documentation). Both of these methods had no success. Don't know what else it could be.

I am currently using plexe-sumo and I think that its installation is correct as I previously had an error occurring due to a vehicleFollowingModel not found (only available on plexe-sumo I believe) that is no longer present. I've tried to use plexe-sumo within the latest releases of SUMO (since it's already integrated in the official releases) but again with no luck.

Any help would be appreciated.

Kind regards,

Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user
Reply | Threaded
Open this post in threaded view
|

Re: [sumo-user] Run error - "departureSpeed" is too high

up201604601

On 2021-01-11 08:01, Jakob Erdmann wrote:

The error messages come from traci commands that try to add vehicles. The invalid departSpeed is part of the call to traci.vehicle.add (setting it in the vType has no effect).
The depart speed check has to meed two constraints:
- departSpeed <= maxSpeed
- departSpeed <= edgeSpeed * speedFactor
try setting maxSpeed to a value that matches the road speed and speedFactor >= 1 in the vType
 
regards,
Jakob

Am Mo., 11. Jan. 2021 um 03:11 Uhr schrieb up201604601 <[hidden email]>:

On 2020-12-28 09:47, Harald Schaefer wrote:

Hi Francisco,

the maxSpeed of your vehicle is only 0.5 (m/s), that is slower than an average pedestrian.

The departureSpeed should be less or equal to the maxSpeed (+_ speedfactor).

Greetings, Harald

Am 28.12.20 um 03:50 schrieb up201604601:
Hi everyone,

I'm new on this mailing list. I decided to subscribe to it since I've been getting an error when trying to run a project that I cannot seem to solve.

So currently I'm working on a project that uses Omnet++, Veins (with the Plexe extension) and SUMO 1.8.0. I've been constantly getting different error messages. So far I've been successfully solving all the issues I had, however, I can't understand this error message. It says that vBargain0's "departureSpeed" is too high (below I have the XML defining the vBargain0 vehicle type). I tried to search for "departureSpeed" all over the project and there is no "departureSpeed" being set anywhere on it.
 
 
 
This is how the vehicle is defined.
 
None of this code was made by me, I'm just trying to run a project that, as far as I know, should already be working.
 
If anyone could help me solve this issue it would be amazing.
 
Kind regards,
Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

Hi again,

I've been trying to fix this error but still with no luck. I've been messing around with the vType declaration and changing the maxSpeed to be higher. I also tried to manually declare the departSpeed variable within the vType declaration to "desired" (after checking the documentation). Both of these methods had no success. Don't know what else it could be.

I am currently using plexe-sumo and I think that its installation is correct as I previously had an error occurring due to a vehicleFollowingModel not found (only available on plexe-sumo I believe) that is no longer present. I've tried to use plexe-sumo within the latest releases of SUMO (since it's already integrated in the official releases) but again with no luck.

Any help would be appreciated.

Kind regards,

Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

The error message still persists. I'm new at sumo so I don't really understand what can be causing the problem or why changing the maxSpeed and speedFactor isn't fixing it. The sumo config file as far as I saw was very straight forward with only a network file containing the edges, nodes and connections, a route file that I previously attached here and a settings file that only sets the viewport.

If anyone had a similar issue that could help I would really appreciate.

Best regards, 

Francisco Filipe


_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user
Reply | Threaded
Open this post in threaded view
|

Re: [sumo-user] Run error - "departureSpeed" is too high

Jakob Erdmann
You need to figure out the actual vehicle.add command that is being sent to sumo. Maybe Michelle can suggest the best way to debug the Plexe related part.

Am Di., 12. Jan. 2021 um 14:26 Uhr schrieb up201604601 <[hidden email]>:

On 2021-01-11 08:01, Jakob Erdmann wrote:

The error messages come from traci commands that try to add vehicles. The invalid departSpeed is part of the call to traci.vehicle.add (setting it in the vType has no effect).
The depart speed check has to meed two constraints:
- departSpeed <= maxSpeed
- departSpeed <= edgeSpeed * speedFactor
try setting maxSpeed to a value that matches the road speed and speedFactor >= 1 in the vType
 
regards,
Jakob

Am Mo., 11. Jan. 2021 um 03:11 Uhr schrieb up201604601 <[hidden email]>:

On 2020-12-28 09:47, Harald Schaefer wrote:

Hi Francisco,

the maxSpeed of your vehicle is only 0.5 (m/s), that is slower than an average pedestrian.

The departureSpeed should be less or equal to the maxSpeed (+_ speedfactor).

Greetings, Harald

Am 28.12.20 um 03:50 schrieb up201604601:
Hi everyone,

I'm new on this mailing list. I decided to subscribe to it since I've been getting an error when trying to run a project that I cannot seem to solve.

So currently I'm working on a project that uses Omnet++, Veins (with the Plexe extension) and SUMO 1.8.0. I've been constantly getting different error messages. So far I've been successfully solving all the issues I had, however, I can't understand this error message. It says that vBargain0's "departureSpeed" is too high (below I have the XML defining the vBargain0 vehicle type). I tried to search for "departureSpeed" all over the project and there is no "departureSpeed" being set anywhere on it.
 
 
 
This is how the vehicle is defined.
 
None of this code was made by me, I'm just trying to run a project that, as far as I know, should already be working.
 
If anyone could help me solve this issue it would be amazing.
 
Kind regards,
Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

Hi again,

I've been trying to fix this error but still with no luck. I've been messing around with the vType declaration and changing the maxSpeed to be higher. I also tried to manually declare the departSpeed variable within the vType declaration to "desired" (after checking the documentation). Both of these methods had no success. Don't know what else it could be.

I am currently using plexe-sumo and I think that its installation is correct as I previously had an error occurring due to a vehicleFollowingModel not found (only available on plexe-sumo I believe) that is no longer present. I've tried to use plexe-sumo within the latest releases of SUMO (since it's already integrated in the official releases) but again with no luck.

Any help would be appreciated.

Kind regards,

Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

The error message still persists. I'm new at sumo so I don't really understand what can be causing the problem or why changing the maxSpeed and speedFactor isn't fixing it. The sumo config file as far as I saw was very straight forward with only a network file containing the edges, nodes and connections, a route file that I previously attached here and a settings file that only sets the viewport.

If anyone had a similar issue that could help I would really appreciate.

Best regards, 

Francisco Filipe

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user

_______________________________________________
sumo-user mailing list
[hidden email]
To unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/sumo-user